From: [email-masked]
Date: Thu, 27 Jan 94 12:37:54 CST

Hi. Could anybody please give me the details about how to file a I-130 form for
my husband in china?
I am a principle of CSPA. I don't know what kinds of document I should file for
a I-130 form:
1. A copy of I-797 form is OK? (approval notice form about my PR from INS)
2. A marriage certificate. 
3. A color photopicture of my husband? to be mailed U.S. from China?
4. What is the G-325A form which he should complete?
5. How will the Guangzhou consulate inform him? How long will it take for 
Guangzhou Consulate to inform the person in China?
6. Is there any other U.S. consulate that can process the procedure except the 
Guangzhou one?
Any response will be appreciated very much.
Thanks in advance!!!